Bug 22624 - Show OPAC description for authorised values in OPAC
Summary: Show OPAC description for authorised values in OPAC
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-02 19:41 UTC by Katrin Fischer
Modified: 2019-04-18 06:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05, 18.05.12


Attachments
Bug 22624: Show OPAC description for authorised values in OPAC (6.68 KB, patch)
2019-04-02 20:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22624: Show OPAC description for authorised values in OPAC (6.83 KB, patch)
2019-04-05 18:36 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22624: Show OPAC description for authorised values in OPAC (6.90 KB, patch)
2019-04-08 11:43 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-02 19:41:21 UTC
Bug 22620 fixed an occurrence where the AuthorisedValues TT plugin was used without the 1 parameter for OPAC interface. There are some more to fix.
Comment 1 Katrin Fischer 2019-04-02 20:05:00 UTC
Created attachment 87332 [details] [review]
Bug 22624: Show OPAC description for authorised values in OPAC

Patch adds the IS_OPAC parameter to a few GetByCode calls in
OPAC files.

To test:
- Add different OPAC and intranet descriptions to some authorised
  value categories:
  - TERM
  - DEPARTMENT
  - LOC
  - CCODE
- Create a new course using the values and adding items to it
- Check the course reserves overview and detail pages in OPAC
- Verify Department, term, location, and collection show
  the OPAC description if existing
- Create a subscription, make sure a default location is selected
- Check the OPAC detail page, subscription tab for this subsription
  in the OPAC
- Verify the location of the subscription displays correctly
Comment 2 Mikaël Olangcay Brisebois 2019-04-05 18:36:18 UTC
Created attachment 87463 [details] [review]
Bug 22624: Show OPAC description for authorised values in OPAC

Patch adds the IS_OPAC parameter to a few GetByCode calls in
OPAC files.

To test:
- Add different OPAC and intranet descriptions to some authorised
  value categories:
  - TERM
  - DEPARTMENT
  - LOC
  - CCODE
- Create a new course using the values and adding items to it
- Check the course reserves overview and detail pages in OPAC
- Verify Department, term, location, and collection show
  the OPAC description if existing
- Create a subscription, make sure a default location is selected
- Check the OPAC detail page, subscription tab for this subsription
  in the OPAC
- Verify the location of the subscription displays correctly

Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Comment 3 Martin Renvoize 2019-04-08 11:43:22 UTC
Created attachment 87505 [details] [review]
Bug 22624: Show OPAC description for authorised values in OPAC

Patch adds the IS_OPAC parameter to a few GetByCode calls in
OPAC files.

To test:
- Add different OPAC and intranet descriptions to some authorised
  value categories:
  - TERM
  - DEPARTMENT
  - LOC
  - CCODE
- Create a new course using the values and adding items to it
- Check the course reserves overview and detail pages in OPAC
- Verify Department, term, location, and collection show
  the OPAC description if existing
- Create a subscription, make sure a default location is selected
- Check the OPAC detail page, subscription tab for this subsription
  in the OPAC
- Verify the location of the subscription displays correctly

Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-04-08 11:43:39 UTC
Good catch, PQA
Comment 5 Nick Clemens 2019-04-11 13:57:54 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-15 17:43:39 UTC
Pushed to 18.11.x for 18.11.05
Comment 7 Lucas Gass 2019-04-17 22:39:01 UTC
backported to 18.05.x for 18.05.12